<?php include('casa/setup.casa.php');
$codigo_venta = substr(sha1(uniqid()),1,9);

include('inc_scripts.php');
$title = 'Ventas al por Mayor - Seleccione uno o varios productos para vender';
echo "<title>".AppName.' - '.$title."</title>";
$SucCodigo = SucursalUsuario($USID);

$Dollar = Dollar();

$buscar = DataForms::GET('id');
$descrip = DataForms::GET('descrip');


function SucursalUsuario($us_codigo){
  $Usuario = new DB();
  $sqlUsuario = "SELECT * FROM rol_usuarios
  WHERE us_id = '$us_codigo';";
  $Usuario->dbSQL($sqlUsuario);
  $Usuario->next();
  $sucursal = $Usuario->dbField('ubica_codigo');

  return $sucursal;
}
?>
<style>
th{background:#156E10;
color:white;
text-align:center;
text-transform:uppercase;}	
</style>
</head>
<body>
	<div class="wrapper">
	
	<?php include('inc_menu.php');?>
		<div class="main-panel">
			<div class="content">
				
			<div class="page-inner">
					
					<div class="row">						
						<div class="col-md-12">
							<div class="card">
								<div class="card-header">
									<div class="d-flex align-items-center">
										<h3 class="card-title"><?php echo $title.'
										<br><b>Código Venta: </b>'.$codigo_venta;?></h3>																																									
									</div>
								</div>
								
								<div class="card-body">		
																									
									<div id='Productos' class="table-responsive">
											<div class="row">	
												<div class="col-md-6">
													<div class="form-group form-group-default">
														<label>Buscar por Item:</label>
														<input id='txtBuscar' value='<?php echo $buscar; ?>' type="text" class="form-control">
														<center><input type="button" value="BUSCAR" id='btnBuscar' class="btn btn-default"></center>
													</div>						
													
												</div>																				
											
												<div class="col-md-6">
													<div class="form-group form-group-default">
														<label>Buscar por Descripción o Nombre de Producto:</label>
														<input id='txtBuscar2' value='<?php echo $descrip; ?>' type="text" class="form-control">
														<center><input type="button" value="BUSCAR" id='btnBuscar2'  class="btn btn-default"></center>
													</div>																										
												</div>																			
											</div>  
										
										 <div id='ventas-listado'></div>
									</div>
									<div id='CarritoCompras'></div>
								</div>
							</div>
						</div>
					</div>
				</div>
				
			</div>
			<?php include('inc_pie.php');?>
		</div>
		<div id='res'></div>
		
	</div>
</body>
</html>
<script>

function Vender(prod,num){	
	$.post('<?php echo PATH_HOME.'ventas-registrar/'. md5(uniqid()); ?>',{
	 'codigo_venta': '<?php echo $codigo_venta; ?>',
	 'prod_codigo': prod,
	 'Numtxt':num,
	 'PrecU': $('#PrecU_'+num).val(),
	 'PrecDoc': $('#PrecDoc_'+num).val(),
	 'PrecDoc2': $('#PrecDoc2_'+num).val(),	 
	 'PrecCajaDoc': $('#PrecCajaDoc_'+num).val(),
	 	 
    'MxEncoder': '<?php echo sha1(uniqid()); ?>'
	},function(data){
		$('#res').html(data);
	}); 

//	let rnd = Math.floor(Math.random()*977);
//	$('#CarritoCompras').load("<?php echo PATH_HOME.'ventas-carrito/'.$codigo_venta; ?>&rnd="+rnd);
	
}
function CalcPrecU(Precio,Cantidad,id){
	CleanText();
	let res = Precio*Cantidad;	
	$("#PrecU_"+id).val(Cantidad);
	$("#ResPrecU_"+id).val(res);
}	
function CalcPrecDoc(CantUniCaja,Precio,Cantidad,id){
	CleanText();
	let res = 12*Precio*Cantidad;
	let cantCajaUni = CantUniCaja*Cantidad;

	$("#PrecDoc_"+id).val(Cantidad);
	$("#ResPrecDoc_"+id).val(res);
	$("#CalcCajasUni_"+id).html("<b>Cantidad: </b>"+(Cantidad*12)+" unidades");	
}	
function CalcPrecCajaDoc(CantUniCaja,Precio,Cantidad,id){
	CleanText();
	let res = Precio*Cantidad;
	let cantCajaUni = CantUniCaja*Cantidad;

	$("#PrecCajaDoc_"+id).val(Cantidad);
	$("#ResPrecCajaDoc_"+id).val(res);
	$("#CalcCajasDocena_"+id).html("<b>"+CantUniCaja+" u * "+Cantidad+" cajas = "+cantCajaUni+"u</b>");	
}	
function CalcCajaDoc(CantUniCaja,Precio,Cantidad,id){
	/*
	CalcDocena_
	PrecDoc_ 
		funcion CalcCajaDoc("'.$prod_piezascaja.'","'.$prod_preciocajadocena.'",$(this).val(),"'.$i.'") 
	ResDoc_
	*/
	CleanText();
	let res = Precio*Cantidad;
	let cantCajaUni = CantUniCaja*Cantidad;

	$("#PrecDoc2_"+id).val(Cantidad);
	$("#ResDoc_"+id).val(res);
	$("#CalcDocena_"+id).html("<b>"+Cantidad+"*"+Precio+"="+res+"</b>");	
}	

/*
function CleanText(){
	<?php
	for($x=1;$x<=$i;$x++){
		echo '$("#CalcCajasUni_'.$x.'").html("");$("#PrecU_'.$x.'").val("");$("#PrecDoc_'.$x.'").val("");$("#PrecDoc2_'.$x.'").val("");$("#PrecCajaDoc_'.$x.'").val("");$("#ResPrecU_'.$x.'").val("");
				$("#ResPrecDoc_'.$x.'").val("");$("#ResPrecCajaDoc_'.$x.'").val("");$("#CalcCajasUni_'.$x.'").html("");$("#CalcCajasDocena_'.$x.'").html("");';
	}
	?>
}
*/


$('#btnBuscar').click(function(){
	let b = $('#txtBuscar').val();
	//self.location = '<?php echo PATH_HOME."ventas.php?id="; ?>'+b+'&descrip=&nbsp;';
	$('#ventas-listado').load('<?php echo PATH_HOME."ventas-listado.php?id="; ?>'+b+'&descrip=&nbsp;');
});
$('#btnBuscar2').click(function(){
	let c = $('#txtBuscar2').val();
	let cadenaConUnEspacio = c.replace(/\s+/g, "%20");
	//self.location = '<?php echo PATH_HOME."ventas.php?id=&descrip="; ?>'+c;
	$('#ventas-listado').load('<?php echo PATH_HOME."ventas-listado.php?id=&descrip="; ?>'+cadenaConUnEspacio);
});
$('#txtBuscar,#txtBuscar2').click(function(){
	$(this).val('');
});
</script>